Update a Planned Gift
curl --request PUT \
--url https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plannedGiftDate": "<dateTime>",
"plannedGiftType": "<string>",
"frequency": "Once|Monthly|Quarterly|Semiannually|Annually|Biennially",
"anticipatedAmount": "<double>",
"anticipatedStartDate": "<dateTime>",
"numberOfOccurrences": "<integer>",
"currentValue": "<double>",
"contactIndividualId": "<integer>",
"assignedUserId": "<integer>",
"projectId": "<integer>",
"segmentId": "<integer>",
"thankYouDate": "<dateTime>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
plannedGiftDate: '<dateTime>',
plannedGiftType: '<string>',
frequency: 'Once|Monthly|Quarterly|Semiannually|Annually|Biennially',
anticipatedAmount: '<double>',
anticipatedStartDate: '<dateTime>',
numberOfOccurrences: '<integer>',
currentValue: '<double>',
contactIndividualId: '<integer>',
assignedUserId: '<integer>',
projectId: '<integer>',
segmentId: '<integer>',
thankYouDate: '<dateTime>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}"
payload = {
"plannedGiftDate": "<dateTime>",
"plannedGiftType": "<string>",
"frequency": "Once|Monthly|Quarterly|Semiannually|Annually|Biennially",
"anticipatedAmount": "<double>",
"anticipatedStartDate": "<dateTime>",
"numberOfOccurrences": "<integer>",
"currentValue": "<double>",
"contactIndividualId": "<integer>",
"assignedUserId": "<integer>",
"projectId": "<integer>",
"segmentId": "<integer>",
"thankYouDate": "<dateTime>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"plannedGiftDate\": \"<dateTime>\",\n \"plannedGiftType\": \"<string>\",\n \"frequency\": \"Once|Monthly|Quarterly|Semiannually|Annually|Biennially\",\n \"anticipatedAmount\": \"<double>\",\n \"anticipatedStartDate\": \"<dateTime>\",\n \"numberOfOccurrences\": \"<integer>\",\n \"currentValue\": \"<double>\",\n \"contactIndividualId\": \"<integer>\",\n \"assignedUserId\": \"<integer>\",\n \"projectId\": \"<integer>\",\n \"segmentId\": \"<integer>\",\n \"thankYouDate\": \"<dateTime>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'plannedGiftDate' => '<dateTime>',
'plannedGiftType' => '<string>',
'frequency' => 'Once|Monthly|Quarterly|Semiannually|Annually|Biennially',
'anticipatedAmount' => '<double>',
'anticipatedStartDate' => '<dateTime>',
'numberOfOccurrences' => '<integer>',
'currentValue' => '<double>',
'contactIndividualId' => '<integer>',
'assignedUserId' => '<integer>',
'projectId' => '<integer>',
'segmentId' => '<integer>',
'thankYouDate' => '<dateTime>',
'customFields' => [
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
],
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"plannedGiftDate\": \"<dateTime>\",\n \"plannedGiftType\": \"<string>\",\n \"frequency\": \"Once|Monthly|Quarterly|Semiannually|Annually|Biennially\",\n \"anticipatedAmount\": \"<double>\",\n \"anticipatedStartDate\": \"<dateTime>\",\n \"numberOfOccurrences\": \"<integer>\",\n \"currentValue\": \"<double>\",\n \"contactIndividualId\": \"<integer>\",\n \"assignedUserId\": \"<integer>\",\n \"projectId\": \"<integer>\",\n \"segmentId\": \"<integer>\",\n \"thankYouDate\": \"<dateTime>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"plannedGiftDate\": \"<dateTime>\",\n \"plannedGiftType\": \"<string>\",\n \"frequency\": \"Once|Monthly|Quarterly|Semiannually|Annually|Biennially\",\n \"anticipatedAmount\": \"<double>\",\n \"anticipatedStartDate\": \"<dateTime>\",\n \"numberOfOccurrences\": \"<integer>\",\n \"currentValue\": \"<double>\",\n \"contactIndividualId\": \"<integer>\",\n \"assignedUserId\": \"<integer>\",\n \"projectId\": \"<integer>\",\n \"segmentId\": \"<integer>\",\n \"thankYouDate\": \"<dateTime>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
plannedGiftDate: '<dateTime>',
plannedGiftType: '<string>',
frequency: 'Once|Monthly|Quarterly|Semiannually|Annually|Biennially',
anticipatedAmount: '<double>',
anticipatedStartDate: '<dateTime>',
numberOfOccurrences: '<integer>',
currentValue: '<double>',
contactIndividualId: '<integer>',
assignedUserId: '<integer>',
projectId: '<integer>',
segmentId: '<integer>',
thankYouDate: '<dateTime>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 850500,
"contactIndividualId": 200234,
"contactIndividualUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234",
"thankYouDate": "9/15/2026",
"plannedGiftUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850500",
"giftsAppliedUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850500/Gifts",
"contactId": 100234,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"plannedGiftDate": "2025-06-01",
"pkannedGiftType": "Bequest",
"frequency": "One Time",
"anticipatedAmount": "100000.00",
"anticipatedStartDate": "2035-01-01",
"numberOfOccurrences": 1,
"currentValue": "100000.00",
"fulfilled": "false",
"projectId": 1001,
"project": "General Fund",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1001",
"segmentId": null,
"segment": null,
"segmentUrl": null,
"createDateTimeUtc": "2025-06-01T10:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Planned Gifts
Update a Planned Gift
Similar to other update methods in the API, excluding a property will remove it’s value from the object. If you’re only updating a single property, the entire model is still required.
PUT
/
api
/
PlannedGift
/
{plannedGiftId}
Update a Planned Gift
curl --request PUT \
--url https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plannedGiftDate": "<dateTime>",
"plannedGiftType": "<string>",
"frequency": "Once|Monthly|Quarterly|Semiannually|Annually|Biennially",
"anticipatedAmount": "<double>",
"anticipatedStartDate": "<dateTime>",
"numberOfOccurrences": "<integer>",
"currentValue": "<double>",
"contactIndividualId": "<integer>",
"assignedUserId": "<integer>",
"projectId": "<integer>",
"segmentId": "<integer>",
"thankYouDate": "<dateTime>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
plannedGiftDate: '<dateTime>',
plannedGiftType: '<string>',
frequency: 'Once|Monthly|Quarterly|Semiannually|Annually|Biennially',
anticipatedAmount: '<double>',
anticipatedStartDate: '<dateTime>',
numberOfOccurrences: '<integer>',
currentValue: '<double>',
contactIndividualId: '<integer>',
assignedUserId: '<integer>',
projectId: '<integer>',
segmentId: '<integer>',
thankYouDate: '<dateTime>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}"
payload = {
"plannedGiftDate": "<dateTime>",
"plannedGiftType": "<string>",
"frequency": "Once|Monthly|Quarterly|Semiannually|Annually|Biennially",
"anticipatedAmount": "<double>",
"anticipatedStartDate": "<dateTime>",
"numberOfOccurrences": "<integer>",
"currentValue": "<double>",
"contactIndividualId": "<integer>",
"assignedUserId": "<integer>",
"projectId": "<integer>",
"segmentId": "<integer>",
"thankYouDate": "<dateTime>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"plannedGiftDate\": \"<dateTime>\",\n \"plannedGiftType\": \"<string>\",\n \"frequency\": \"Once|Monthly|Quarterly|Semiannually|Annually|Biennially\",\n \"anticipatedAmount\": \"<double>\",\n \"anticipatedStartDate\": \"<dateTime>\",\n \"numberOfOccurrences\": \"<integer>\",\n \"currentValue\": \"<double>\",\n \"contactIndividualId\": \"<integer>\",\n \"assignedUserId\": \"<integer>\",\n \"projectId\": \"<integer>\",\n \"segmentId\": \"<integer>\",\n \"thankYouDate\": \"<dateTime>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'plannedGiftDate' => '<dateTime>',
'plannedGiftType' => '<string>',
'frequency' => 'Once|Monthly|Quarterly|Semiannually|Annually|Biennially',
'anticipatedAmount' => '<double>',
'anticipatedStartDate' => '<dateTime>',
'numberOfOccurrences' => '<integer>',
'currentValue' => '<double>',
'contactIndividualId' => '<integer>',
'assignedUserId' => '<integer>',
'projectId' => '<integer>',
'segmentId' => '<integer>',
'thankYouDate' => '<dateTime>',
'customFields' => [
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
],
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"plannedGiftDate\": \"<dateTime>\",\n \"plannedGiftType\": \"<string>\",\n \"frequency\": \"Once|Monthly|Quarterly|Semiannually|Annually|Biennially\",\n \"anticipatedAmount\": \"<double>\",\n \"anticipatedStartDate\": \"<dateTime>\",\n \"numberOfOccurrences\": \"<integer>\",\n \"currentValue\": \"<double>\",\n \"contactIndividualId\": \"<integer>\",\n \"assignedUserId\": \"<integer>\",\n \"projectId\": \"<integer>\",\n \"segmentId\": \"<integer>\",\n \"thankYouDate\": \"<dateTime>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"plannedGiftDate\": \"<dateTime>\",\n \"plannedGiftType\": \"<string>\",\n \"frequency\": \"Once|Monthly|Quarterly|Semiannually|Annually|Biennially\",\n \"anticipatedAmount\": \"<double>\",\n \"anticipatedStartDate\": \"<dateTime>\",\n \"numberOfOccurrences\": \"<integer>\",\n \"currentValue\": \"<double>\",\n \"contactIndividualId\": \"<integer>\",\n \"assignedUserId\": \"<integer>\",\n \"projectId\": \"<integer>\",\n \"segmentId\": \"<integer>\",\n \"thankYouDate\": \"<dateTime>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
plannedGiftDate: '<dateTime>',
plannedGiftType: '<string>',
frequency: 'Once|Monthly|Quarterly|Semiannually|Annually|Biennially',
anticipatedAmount: '<double>',
anticipatedStartDate: '<dateTime>',
numberOfOccurrences: '<integer>',
currentValue: '<double>',
contactIndividualId: '<integer>',
assignedUserId: '<integer>',
projectId: '<integer>',
segmentId: '<integer>',
thankYouDate: '<dateTime>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 850500,
"contactIndividualId": 200234,
"contactIndividualUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234",
"thankYouDate": "9/15/2026",
"plannedGiftUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850500",
"giftsAppliedUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850500/Gifts",
"contactId": 100234,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"plannedGiftDate": "2025-06-01",
"pkannedGiftType": "Bequest",
"frequency": "One Time",
"anticipatedAmount": "100000.00",
"anticipatedStartDate": "2035-01-01",
"numberOfOccurrences": 1,
"currentValue": "100000.00",
"fulfilled": "false",
"projectId": 1001,
"project": "General Fund",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1001",
"segmentId": null,
"segment": null,
"segmentUrl": null,
"createDateTimeUtc": "2025-06-01T10:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Last modified on April 23, 2026
Was this page helpful?